#!/usr/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Version 4.4 patchlevel 0
#    	last modified March 2010
#    	System: Linux 2.6.32-5-amd64
#    
#    	Copyright (C) 1986-1993, 1998, 2004, 2007-2010
#    	Thomas Williams, Colin Kelley and many others
#    
#    	gnuplot home:     http://www.gnuplot.info
#    	faq, bugs, etc:   type "help seeking-assistance"
#    	immediate help:   type "help"
#    	plot window:      hit 'h'
set terminal pdfcairo  size 15.00cm, 9.27cm 
set output 'comparison-comparators-16.pdf'
unset clip points
set clip one
unset clip two
set bar 1.000000 front
set border 31 front linetype -1 linewidth 1.000
set xdata
set ydata
set zdata
set x2data
set y2data
set timefmt x "%d/%m/%y,%H:%M"
set timefmt y "%d/%m/%y,%H:%M"
set timefmt z "%d/%m/%y,%H:%M"
set timefmt x2 "%d/%m/%y,%H:%M"
set timefmt y2 "%d/%m/%y,%H:%M"
set timefmt cb "%d/%m/%y,%H:%M"
set boxwidth
set style fill  empty border
set style rectangle back fc  lt -3 fillstyle   solid 1.00 border lt -1
set dummy x,y
set format x "% g"
set format y "% g"
set format x2 "% g"
set format y2 "% g"
set format z "% g"
set format cb "% g"
set angles radians
unset grid
set key title ""
set key outside center bottom horizontal Right noreverse enhanced autotitles box linetype -1 linewidth 1.000
set key noinvert samplen 4 spacing 1 width 0 height 0 
unset label
unset arrow
set style increment default
unset style line
unset style arrow
set style histogram clustered gap 2 title  offset character 0, 0, 0
unset logscale
set offsets 0, 0, 0, 0
set pointsize 1
set encoding default
unset polar
unset parametric
unset decimalsign
set view 60, 30, 1, 1  
set samples 100, 100
set isosamples 10, 10
set surface
unset contour
set clabel '%8.3g'
set mapping cartesian
set datafile separator whitespace
unset hidden3d
set cntrparam order 4
set cntrparam linear
set cntrparam levels auto 5
set cntrparam points 5
set size ratio 0 1,1
set origin 0,0
set style data points
set style function lines
set xzeroaxis linetype -2 linewidth 1.000
set yzeroaxis linetype -2 linewidth 1.000
set zzeroaxis linetype -2 linewidth 1.000
set x2zeroaxis linetype -2 linewidth 1.000
set y2zeroaxis linetype -2 linewidth 1.000
set ticslevel 0.5
set mxtics default
set mytics default
set mztics default
set mx2tics default
set my2tics default
set mcbtics default
set xtics border in scale 1,0.5 mirror norotate  offset character 0, 0, 0
set xtics autofreq  norangelimit
set ytics border in scale 1,0.5 mirror norotate  offset character 0, 0, 0
set ytics autofreq  norangelimit
set ztics border in scale 1,0.5 nomirror norotate  offset character 0, 0, 0
set ztics autofreq  norangelimit
set nox2tics
set noy2tics
set cbtics border in scale 1,0.5 mirror norotate  offset character 0, 0, 0
set cbtics autofreq  norangelimit
set title "" 
set title  offset character 0, 0, 0 font "" norotate
set timestamp bottom 
set timestamp "" 
set timestamp  offset character 0, 0, 0 font "" norotate
set rrange [ * : * ] noreverse nowriteback  # (currently [8.98847e+307:-8.98847e+307] )
set trange [ * : * ] noreverse nowriteback  # (currently [-5.00000:5.00000] )
set urange [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set vrange [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set xlabel "Komparatoren" 
set xlabel  offset character 0, 0, 0 font "" textcolor lt -1 norotate
set x2label "" 
set x2label  offset character 0, 0, 0 font "" textcolor lt -1 norotate
set xrange [ * : * ] noreverse nowriteback  # (currently [63.0000:124.000] )
set x2range [ * : * ] noreverse nowriteback  # (currently [63.0000:124.000] )
set ylabel "Prozent" 
set ylabel  offset character 0, 0, 0 font "" textcolor lt -1 rotate by -270
set y2label "" 
set y2label  offset character 0, 0, 0 font "" textcolor lt -1 rotate by -270
set yrange [ * : * ] noreverse nowriteback  # (currently [0.00000:12.0000] )
set y2range [ * : * ] noreverse nowriteback  # (currently [0.00000:11.7344] )
set zlabel "" 
set zlabel  offset character 0, 0, 0 font "" textcolor lt -1 norotate
set zrange [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set cblabel "" 
set cblabel  offset character 0, 0, 0 font "" textcolor lt -1 rotate by -270
set cbrange [ * : * ] noreverse nowriteback  # (currently [8.98847e+307:-8.98847e+307] )
set zero 1e-08
set lmargin  -1
set bmargin  -1
set rmargin  -1
set tmargin  -1
set locale "en_US.UTF-8"
set pm3d explicit at s
set pm3d scansautomatic
set pm3d interpolate 1,1 flush begin noftriangles nohidden3d corners2color mean
set palette positive nops_allcF maxcolors 0 gamma 1.5 color model RGB 
set palette rgbformulae 7, 5, 15
set colorbox default
set colorbox vertical origin screen 0.9, 0.2, 0 size screen 0.05, 0.6, 0 front bdefault
set loadpath 
set fontpath 
set fit noerrorvariables
binom(n,k) = (n!) / ((k!) * ((n-k)!))
binv(n,k,p) = binom(n,k) * (p**k) * ((1-p)**(n-k))
bin(x) = binv(n,floor(x),p)
gauss(x) = (a1 / sigma) * exp((-0.5) * ((x - mu) / sigma)**2.0)
poisson_int(x) = exp((-1.0) * lambda) * (lambda**x) / (x!)
poisson(x) = poisson_int(floor(x + 0.5))
erl(x) = gamma * exp(-1.0 * gamma * x) * (gamma * x)**(n_erl - 1) / ((n_erl - 1)!)
binomial_int(x) = binomial_coeff(n, x) * p**x * (1-p)**(n-x)
binomial_coeff(n,k) = (n!) / ((k!) * ((n-k)!))
binomial(x) = binomial_int(floor(x + 0.5))
binomial_fit(x) = 100.0 * binomial(x-19.0)
poisson_fit(x) = 100.0 * poisson(x - offset)
gauss_fit(x) = 100.0 * gauss(x)
cauchy(x) = (1.0 / pi) * s / (s**2.0 + (x - t)**2)
cauchy_fit(x) = 100.0 * cauchy(x)
erlang_fit(x) = 100.0 * erl(x - erl_offset)
gamma_dist(x) = x**(gamma_k - 1) * exp((-1.0) * x / gamma_theta) / (gamma_theta**gamma_k * gamma(gamma_k))
gamma_fit(x) = 100.0 * dgamma(x - gamma_offset, gamma_k, gamma_theta)
dgamma(x, shape, rate) = (x<0)? 0 : (x==0)? ((shape<1)? 1/0 : (shape==1)? rate : 0) : (rate==0)? 0 : exp(_ln_dgamma(x, shape, rate))
foo_fit(x) = foo_a0 * exp(foo_a1 * (x - 62))
_ln_dgamma(x, a, b) = a*log(b) - lgamma(a) + (a-1)*log(x) - b*x
pgamma(x, shape, rate) = (x<0)? 0 : igamma(shape, x*rate)
GNUTERM = "wxt"
GPFUN_binom = "binom(n,k) = (n!) / ((k!) * ((n-k)!))"
GPFUN_binv = "binv(n,k,p) = binom(n,k) * (p**k) * ((1-p)**(n-k))"
n = 29
p = 0.172562132555044
GPFUN_bin = "bin(x) = binv(n,floor(x),p)"
a1 = 0.398942280401433
sigma = 1.88445909011715
mu = 23.800757470569
GPFUN_gauss = "gauss(x) = (a1 / sigma) * exp((-0.5) * ((x - mu) / sigma)**2.0)"
lambda = 5.10554056666183
GPFUN_poisson_int = "poisson_int(x) = exp((-1.0) * lambda) * (lambda**x) / (x!)"
GPFUN_poisson = "poisson(x) = poisson_int(floor(x + 0.5))"
gamma = 1.90073273091251
n_erl = 54
GPFUN_erl = "erl(x) = gamma * exp(-1.0 * gamma * x) * (gamma * x)**(n_erl - 1) / ((n_erl - 1)!)"
GPFUN_binomial_int = "binomial_int(x) = binomial_coeff(n, x) * p**x * (1-p)**(n-x)"
GPFUN_binomial_coeff = "binomial_coeff(n,k) = (n!) / ((k!) * ((n-k)!))"
GPFUN_binomial = "binomial(x) = binomial_int(floor(x + 0.5))"
GPFUN_binomial_fit = "binomial_fit(x) = 100.0 * binomial(x-19.0)"
offset = 19
GPFUN_poisson_fit = "poisson_fit(x) = 100.0 * poisson(x - offset)"
GPFUN_gauss_fit = "gauss_fit(x) = 100.0 * gauss(x)"
s = 1.39871428165847
t = 23.5320369849105
GPFUN_cauchy = "cauchy(x) = (1.0 / pi) * s / (s**2.0 + (x - t)**2)"
GPFUN_cauchy_fit = "cauchy_fit(x) = 100.0 * cauchy(x)"
erl_offset = 49.8425987940659
GPFUN_erlang_fit = "erlang_fit(x) = 100.0 * erl(x - erl_offset)"
gamma_k = 17.9390580825481
gamma_theta = 1.09113152299828
GPFUN_gamma_dist = "gamma_dist(x) = x**(gamma_k - 1) * exp((-1.0) * x / gamma_theta) / (gamma_theta**gamma_k * gamma_gamma(gamma_k))"
gamma_offset = 62
GPFUN_gamma_fit = "gamma_fit(x) = 100.0 * dgamma(x - gamma_offset, gamma_k, gamma_theta)"
foo_a0 = 0.000540217815483465
foo_a1 = 0.838098058527587
GPFUN_foo_fit = "foo_fit(x) = foo_a0 * exp(foo_a1 * (x - 62))"
GPFUN__ln_dgamma = "_ln_dgamma(x, a, b) = a*log(b) - lgamma(a) + (a-1)*log(x) - b*x"
GPFUN_pgamma = "pgamma(x, shape, rate) = (x<0)? 0 : igamma(shape, x*rate)"
GPFUN_dgamma = "dgamma(x, shape, rate) = (x<0)? 0 : (x==0)? ((shape<1)? 1/0 : (shape==1)? rate : 0) : (rate==0)? 0 : exp(_ln_dgamma(x, shape, rate))"
y = 0
FIT_CONVERGED = 1
a = 240000
a0 = 2.0
FIT_NDF = 52
FIT_STDFIT = 0.15913245106829
FIT_WSSR = 1.31680312311609
lamdba = 14.0
scale = 5000000
GPFUN_gamma_gamma = "gamma_gamma(x) = (floor(x - 0.5))!"
GPFUN_gamma = "gamma(x) = x**(gamma_k - 1) * exp((-1.0) * x / gamma_theta) / (gamma_theta**gamma_k * gamma_gamma(k))"
#plot [x=63:124] 'markov-comparators-16-pct.data' title 'SN-Markov', 'evolution-comparators-16-bs-pct.data' title 'SN-Evolution (BM)' lt 3, 'evolution-comparators-16-oes-pct.data' title 'SN-Evolution (OEM)' lt 4, gamma_fit(x) title "Gamma-Verteilung" lt 2
plot [x=63:124] 'markov-comparators-16-pct.data' title 'SN-Markov', 'evolution-comparators-16-bs-pct.data' title 'SN-Evolution (BM)' lt 3, 'evolution-comparators-16-oes-pct.data' title 'SN-Evolution (OEM)' lt 4
#    EOF
